Name:           NetPIPE
Version:        3.7.2
Release:        2%{?dist}
Summary:        Network Protocol Independent Performance Evaluator
License:        GPL+
URL:            http://bitspjoule.org/netpipe/
Source0:        http://bitspjoule.org/netpipe/code/NetPIPE-%{version}.tar.gz

%description
NetPIPE is a protocol independent performance tool that visually represents
the network performance under a variety of conditions. It performs simple
ping-pong tests, bouncing messages of increasing size between two processes,
whether across a network or within an SMP system. Message sizes are chosen
at regular intervals, and with slight perturbations, to provide a complete
test of the communication system. Each data point involves many ping-pong
tests to provide an accurate timing. Latencies are calculated by dividing
the round trip time in half for small messages ( < 64 Bytes ).

%prep
%setup -q
# Harden building.
sed -i 's|-I$(SRC)|-I$(SRC) $(LDFLAGS)|g' makefile

%build
%make_build memcpy tcp tcp6 CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}"

%install
chmod 0644 dox/*
chmod 0644 bin/feplot
chmod 0644 bin/geplot
chmod 0644 bin/nplaunch

install -Dpm0755 NPmemcpy %{buildroot}%{_bindir}/NPmemcpy
install -Dpm0755 NPtcp %{buildroot}%{_bindir}/NPtcp
install -Dpm0755 NPtcp6 %{buildroot}%{_bindir}/NPtcp6
install -Dpm0644 dox/netpipe.1 %{buildroot}%{_mandir}/man1/netpipe.1

%files
%doc dox/netpipe_paper.ps dox/README dox/np_cluster2002.pdf dox/np_euro.pdf
%doc bin/feplot bin/geplot bin/nplaunch
%{_bindir}/*
%{_mandir}/man1/netpipe.1*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 20 2015 Christopher Meng <rpm@cicku.me> - 3.7.2-1
- Update to 3.7.2
- Build NPtcp6.

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 15 2009 Scott Collier <boodle11@gmail.com> - 3.7.1-2
- Cleaned up spec file

* Wed Oct 14 2009 Scott Collier <boodle11@gmail.com> - 3.7.1-1.2
- changed: buildroot
- added: -q to setup
- added: %%{?dist} tag to release field
- modified: CFLAGS
- fixed perms on netpipe.spec
- removed obsoletes line
- removed executable perms on docs files

* Sat Sep 12 2009 Scott Collier <boodle11@gmail.com> - 3.7.1-1.2
- Rebuild for Fedora
